Bug 31877 - SendChunked - "Method must be implemented"
Summary: SendChunked - "Method must be implemented"
Status: RESOLVED FIXED
Alias: None
Product: Class Libraries
Classification: Mono
Component: System.Net.Http (show other bugs)
Version: 4.0.0
Hardware: Other Linux
: --- normal
Target Milestone: Untriaged
Assignee: Marek Safar
URL:
Depends on:
Blocks:
 
Reported: 2015-07-13 09:47 UTC by m.nagler
Modified: 2015-08-06 04:01 UTC (History)
2 users (show)

Tags:
Is this bug a regression?: ---
Last known good build:


Attachments
Stacktrace of the two error messages (1.54 KB, application/zip)
2015-07-13 09:49 UTC, m.nagler
Details
Exception (3.45 KB, text/plain)
2015-08-05 06:06 UTC, m.nagler
Details


Notice (2018-05-24): bugzilla.xamarin.com is now in read-only mode.

Please join us on Visual Studio Developer Community and in the Xamarin and Mono organizations on GitHub to continue tracking issues. Bugzilla will remain available for reference in read-only mode. We will continue to work on open Bugzilla bugs, copy them to the new locations as needed for follow-up, and add the new items under Related Links.

Our sincere thanks to everyone who has contributed on this bug tracker over the years. Thanks also for your understanding as we make these adjustments and improvements for the future.


Please create a new report on GitHub or Developer Community with your current version information, steps to reproduce, and relevant error messages or log files if you are hitting an issue that looks similar to this resolved bug and you do not yet see a matching new report.

Related Links:
Status:
RESOLVED FIXED

Description m.nagler 2015-07-13 09:47:52 UTC
I want to use a dll-library that establishes a communication via REST. This library uses  mono/mcs/class/System/System.Net/HttpWebRequest.cs to send messages in chunks. But when start the communication I get an error 'SendChunked should be true.' (see appendix). Then I edited the Mono source code and fixed SendChunked to true. After this I got an error message 'This method must be implemented in derived classes' (see appendix).

For editing the Mono code I used this snapshot: “mono-20150519025016”. For testing this I used Ubuntu 14.0.4 LTS.

With .Net it works fine.

Thanks for your help.
Comment 1 m.nagler 2015-07-13 09:49:17 UTC
Created attachment 11998 [details]
Stacktrace of the two error messages
Comment 2 m.nagler 2015-07-13 09:51:52 UTC
At the moment I'm not allwed to upload the dll.
Comment 3 Marek Safar 2015-07-14 08:18:33 UTC
Any kind of repro would help to track the issue down
Comment 4 m.nagler 2015-07-15 09:55:42 UTC
I clear up if the dll is in the meantime open source. Without it is hard to do a repro.
Comment 6 Marek Safar 2015-08-05 04:13:05 UTC
Fixed in master and Mono 4.2
Comment 7 m.nagler 2015-08-05 06:06:44 UTC
Created attachment 12362 [details]
Exception
Comment 9 Marek Safar 2015-08-05 06:31:37 UTC
You need mono after commit dc7031cabb939e3644c63642e29b988d12715fa3, so anything after today should be fine or you can compile it yourself.
Comment 10 m.nagler 2015-08-06 04:01:01 UTC
I've tested it and now it works fust fine.
Thank you very much for your help.